\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Planar Parameterization of Triangulated Surface Meshes

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Types | Public Member Functions
CGAL::Parameterization_mesh_feature_extractor< ParameterizationMesh_3 > Class Template Reference
Helper Class

`#include <CGAL/Parameterization_mesh_feature_extractor.h>`

## Definition

The class Parameterization_mesh_feature_extractor computes features (genus, borders, ...) of a 3D surface, model of the ParameterizationMesh_3 concept.

Examples:
  Surface_mesh_parameterization/Complete_parameterization_example.cpp, Surface_mesh_parameterization/Mesh_cutting_parameterization.cpp, and Surface_mesh_parameterization/polyhedron_ex_parameterization.cpp.

## Public Types
typedef ParameterizationMesh_3 | Adaptor
| Export ParameterizationMesh_3 template parameter.
typedef std::list< typename Adaptor::Vertex_handle > | Border
| Type representing a border = STL container of vertex handles.
typedef std::vector< Border * > | Skeleton
| Type representing the list of all borders of the mesh = STL container of Border elements. More...

## Public Member Functions
| Parameterization_mesh_feature_extractor (Adaptor &mesh)
| Constructor. More...
int | get_nb_borders ()
| Get number of borders.
const Skeleton & | get_borders ()
| Get extracted borders. More...
const Border & | get_longest_border ()
| Get longest border.
int | get_nb_connex_components ()
| Get # of connected components.
int | get_genus ()
| Get the genus.

## Member Typedef Documentation

template<class ParameterizationMesh_3 >

typedef std::vector<Border*> CGAL::Parameterization_mesh_feature_extractor< ParameterizationMesh_3 >::Skeleton

Type representing the list of all borders of the mesh = STL container of Border elements.

## Constructor & Destructor Documentation

template<class ParameterizationMesh_3 >

CGAL::Parameterization_mesh_feature_extractor< ParameterizationMesh_3 >::Parameterization_mesh_feature_extractor | ( | Adaptor & | mesh) |  |

Constructor.

Attention
  This class caches the result of feature extractions => The caller must not modify `mesh` during the Parameterization_mesh_feature_extractor life cycle.

## Member Function Documentation

template<class ParameterizationMesh_3 >

const Skeleton& CGAL::Parameterization_mesh_feature_extractor< ParameterizationMesh_3 >::get_borders | ( | ) |  |

Get extracted borders.

The longest border is the first one.